/* Verzweigung mit if, alle LEDs P0 mit Taster P2.2 einschalten
 */
#include <XMC1100-Lib.h>		// Hilfsfunktionen fuer XMC1100
#define gedrueckt 0

int main(void)					// Hauptprogramm
{
  port_init(P0,OUTP);			// Port0 auf Ausgabe programmieren
  bit_init(P2,2,INP);
  while(1U)						// Endlosschleife, immer bei Controllern
  {
    if (bit_read(P2,2) == gedrueckt) port_write(P0,0x3FFF); // Taster gedrückt -> 14 LEDs an
    else port_write(P0,0);									// sonst LEDs aus
  }//while
}//main
