/* Ampel mit Tabelle*/
#include <XMC1100-Lib.h>		// Hilfsfunktionen für XMC1100

// H3R	H3G	H2R	H2Y	H2G	H1R	H1Y	H1G  Anschluss der Ampeln an P0
//                              P0.0
uint16_t ampel[] = {			// Tabelle der Ampel-Anzeigen
		0b10001100,
		0b10010100,
		0b10100100,
		0b01100110,
		0b01100001,
		0b01100001,
		0b01100001,
		0b10100001,
		0b10100001,
		0b10100010,
		0b10110100,
		0b10001100,
		0b10001100,
		0b10001100,
		0b10001100,
		0b10001100};

//-------------------- Hauptprogramm -----------------------------------------------------------------------
int main(void)
{
  uint8_t i;					// Zählervariable
  port_init(P0,OUTP);			// Port0 (Ampel) auf Ausgabe programmieren
  while (1u)					// Endlosschleife
  {
	for (i=0;i<16;i++)			// 16 Tabellenwerte
	{
	   port_write(P0,ampel[i]);	// Ampelphase ausgeben
	   delay_ms(2000);			// für 1 Sekunde
	}//for
  }//while
}//main
